# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pywavelets-1.3.0-python_3.9-on-linux_64, last modified Thu Mar 31 11:54:34 2022
# ------------------------------------------------

package:
  name: pywavelets
  version: 1.3.0
source:
  sha256: cbaa9d62052d9daf8da765fc8e7c30c38ea2b8e9e1c18841913dfb4aec671ee5
  url: https://pypi.io/packages/source/P/PyWavelets/PyWavelets-1.3.0.tar.gz
build:
  number: '0'
  script: /tmp/build/80754af9/pywavelets_1648710015787/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps -vv
  string: py39h7f8727e_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2022.3.29 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - cython 0.29.28 py39h295c915_0
    - intel-openmp 2022.0.1 h06a4308_3633
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - mkl 2020.2 256
    - mkl-service 2.3.0 py39he8ac12f_0
    - mkl_fft 1.3.0 py39h54f3939_0
    - mkl_random 1.0.2 py39h63df603_0
    - ncurses 6.3 h7f8727e_2
    - numpy 1.19.2 py39h89c1606_0
    - numpy-base 1.19.2 py39h2ae0177_0
    - openssl 1.1.1n h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.11 h12debd9_2
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.38.2 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - libgcc-ng >=7.5.0
    - numpy >=1.19.2,<2.0a0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
    - python -c "import sys; import pywt; sys.exit(not pywt.test(verbose=2, label='full',
      tests=['pywt'], extra_argv=['--durations=50']))"
  imports:
    - pywt
  requires:
    - pip
    - pytest
about:
  description: 'PyWavelets is a free Open Source library for wavelet transforms in
    Python.

    Wavelets are mathematical basis functions that are localized in both time and
    frequency.

    Wavelet transforms are time-frequency transforms employing wavelets. They are
    similar to

    Fourier transforms, the difference being that Fourier transforms are localized
    only in

    frequency instead of in time and frequency.

    '
  dev_url: https://github.com/PyWavelets/pywt
  doc_source_url: https://github.com/PyWavelets/pywt/tree/master/doc
  doc_url: https://pywavelets.readthedocs.io/en/latest/
  home: https://github.com/PyWavelets/pywt
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Discrete Wavelet Transforms in Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - grlee77
    - jakirkham
    - ocefpaf
